Re: [wikiss-users] Plugin Translate

[ Thread Index | Date Index ]


Merci JJL,

L'erreur venait bien de là :-)
J'ai cru devenir fou avec ce truc. J'avais beau fouiller la doc php dans tous les coins je ne trouvais pas mon erreur ...
Je ne connaissais pas du tout la problématique du BOM. Et pourtant c'est pas faute d'en avoir bavé avec l'UTF-8, mais jamais sur un serveur...
Je retiendrais la leçon : lire la doc développeur de WiKiss avant de me jeter tête baissée dans le code ;-)

Merci beaucoup !
++
Chicha

Le 09/10/07, JJL <buggerone@xxxxxxxxx> a écrit :
Salut,

> Warning: Cannot modify header information - headers already sent by (output
> started at
> /mnt/112/sdc/4/e/cdadhemar/wiki/plugins/wkp_Translate.php:1)
> in
> /mnt/112/sdc/4/e/cdadhemar/wiki/plugins/wkp_Translate.php
> on line 22
Je pense que l'erreur viens du BOM.
Ton fichier doit être encodé en utf-8 (bien) avec un Byte Order Mark
(mal). Il s'agit de quelques octets spéciaux placés en début de
fichiers pour que les éditeurs reconnaissent l'encodage du fichier.
Mais cela n'apporte que des problèmes (la preuve)
Pour le vérifier, jette un oeil la
http://wikiss.tuxfamily.org/?page=Developpement#BOM
Il faut configurer ton éditeur pour qu'il n'utilise pas ce BOM. Par
exemple avec scite 1.71, il faut choisir "utf-8 cookie" plutôt que
"utf-8"

Bienvenue dans le monde merveilleux de l'utf-8 ;)

++
JJL
ps: j'essaye de répondre à ton autre mail sur ce plugin ce soir
--
http://kubuntu.free.fr/blog

---
http://wikiss.tuxfamily.org



Mail converted by MHonArc 2.6.18 http://listengine.tuxfamily.org/